Welcome

User's manual for asix6

www.asix.com.pl

AsAlert Module -

System for Notification of Important Events

Doc. No ENH6003

Version: 29-04-2011


1 AsAlert - System for Notification of Important Events

The alerting system is designed to remotely notify selected persons of important events. The messages can get through to the addressees as an email or SMS via GSM network. Both types of messages can be sent using different transmission methods – both through Internet and GSM cellular network. Interfacing the alert sending system with asix alarm generation mechanism allows alerts to be sent automatically in response to detection of a change in the status of selected alarms.

Communication modules are used for sending alerts using different media and transmission methods. Among other things, their functional range includes the following:

  • sending alerts in the form of emails via Internet and SMTP protocol,

  • sending alerts in the form of emails via GSM cellular network with use of electronic mail services provided by cellular network operators,

  • sending alerts in the form of SMS messages to cellular network receivers (e.g. cellular telephones) via GSM network,

  • sending alerts in the form of SMS messages to cellular network receivers via Internet.

The alerting system operates in the client-server structure. Client applications that require sending alerts can operate on network stations. Connection with AsAlert is established following successful verification of their access rights by AsAlert system (to this end, AsAlert keeps the list of usernames with passwords).

Any information related to users, addressees and sent messages are stored in relational databases. As a standard, Microsoft Jet (MDB files) and Microsoft SQL databases are handled.


2 AsAlert Module Structure

AsAlert module consists of the following components:

  • AsAlert server to perform the basic functions related to sending messages and database handling,

  • message transmission modules,

  • client application that allows AsAlert to be configured and the history of events (history of sent messages) to be reviewed. This application will hereinafter be referred to as the Configurator.

AsAlert Module Server

AsAlert module server is the Automation server. On this account, it makes available the interfaces that allow the other client applications (including scripts) to perform functions related to:

  • sending alerts,

  • configuration of AsAlert.

The Client may be any program that is able to call Server functions through Automation mechanism. Applicable technologies:

  • compiled EXE program written in Visual Basic, C++, C, Delphi, etc.,

  • script in JScript or VBScript,

  • script built into ASP page, which allows alerts to be sent through Internet application.

The client application can use any interface made available by server. However, most often these are functions related to sending alerts. A particular case of the client application is Configurator, which uses all the functions made available by Automation server.

Apart from displaying fatal error messages (e.g. wrong configuration), server does not have its GUI. Graphic access to server functions and its configuration in asix system is provided by Configurator.

AsAlert module server is designed to:

  • handle databases of addressees, sent messages,

  • send messages.

Message Transmission Modules

AsAlert server uses the following message transmission modules (.DLL files):

  • CTSMSModule,

  • SMSEMAIL,

  • SMSModule,

  • SMTPModule.

CTSMSModule

AsAlert program uses CTSMSModule for sending alerts in the form of SMS messages via the Internet gate by Creative Teams. This gate makes it possible to send SMS messages, the contents and other parameters of which are included in an email message sent to the address of the gate. CTSMSModule uses the email module.

SMSEMAIL

AsAlert program uses SMSEMAIL for sending alerts using email service provided by cellular network operators. SMSEMAIL module uses the SMS communication module.

SMSModule

AsAlert program uses SMSModule for sending alerts using GSM modems. The alerts are sent as SMS messages.

SMTPModule

AsAlert program uses SMTPModule for sending alerts using SMTP email protocol.

Configurator

This module is designed to make the graphic interface available to allow you to configure and review the server operation. The Configurator communicates with the local server or any server operating on remote station.

The module is designed to:

  • display the general information on server: version number, number of sent messages, number of queued messages,

  • provide access to sent messages database,

  • send messages "manually",

  • configure server and message transmission modules,

  • stop and resume server operation,

  • define the list of users authorised to use server and access passwords.


3 AsAlert Module Configuration

AsAlert is configured using AlerterCfg program (Configurator). This program allows configuration of AsAlert, which operates on a local station and network stations. In addition, it makes it possible to:

  • send alerts,

  • stop and run AsAlert,

  • review contents of the alert database as well as sort and search for alerts.

The following figure presents the main window of AlerterCfg.

Fig. Main Window of Alerter.Cfg.

Configurator's main menu contains the following items:

  • Alerter

Connect with - allows the name of the station defined in network settings to be entered:

Start - runs server;

Stop - stops server;

Send alert - used to edit and send a message;

Exit - closes Configurator;

  • View

Refresh - refreshing function;

Show - opens the window displaying full contents of the message (without ability to modify);

Find - allows definition of searching criteria and finds the first message to meet these criteria;

Find next - searches for the next message that meets the searching criteria;

Columns - allows definition of which fields (columns) of messages are to be displayed in the message panel;

  • Settings

Databases - allows definition of database location;

Login info - logging into AsAlert functions.

Users - defines users (including the ones with configuration capabilities);

Addressees - defines addressees and groups of addressees;

Communication - allows SMS and email message transmission modules to be selected and their parameterisation to be carried out;

  • Help

The bottom panel of the main window contains the list of messages – contents of the message base. By default, the messages are arranged by times of generation. By clicking within the header area of a specific column, the messages are arranged by contents of this column. Selection of Find option from View menu allows the message searching criteria to be defined as a string of characters. The system is searching for messages containing the defined string of characters in: content, subject, sender name or list of addressees.

Configuration includes the following issues discussed in successive chapters:

  1. Authorisation of access to AsAlert.

  2. Database configuration:

    • configuration of addressee database and message database,

  3. Parameterisation of communication modules.

  4. Configuration for network operation.

5. Interfacing AsAlert with asix alarm system.


3.1 Authorisation of Access to AsAlert

Configurator gains access to AsAlert function on the basis of settings defined in the authorisation data window, which is opened after Settings/Log in is selected. The window allows user ID (name) and password to be entered. The change in AsAlert configuration, as well as running and stopping it with Configurator is possible only when the given ID identifies the user with configuration capabilities. The authorisation information can also be modified when connection is active.

AsAlert functions can only be accessed by defined users. The exception to this rule is a situation that no user has been defined after the installation of AsAlert – access to the module is not limited in any way then.

Users are defined in ‘Users’ window called up after Settings/Users option is selected. This window allows the group of users who can use AsAlert services to be defined. In addition, it allows definition of users who are authorised to change AsAlert configuration and modify user data. The Users window also features a field where maximum number of alerts to be sent by the single user within one minute is defined. If zero is entered for this limitation, the control of alert sending frequency is off.

Fig. The window for defining a user.

Button Add opens ‘User Information’ window used to define the user identified by name and password, with or without Max alerts rate per user option.

Fig. The window (2) for defining a user.


3.2 Database Configuration

Configuration of Addressee Database and Message Database

AsAlert server operation is based on two databases:

  • addressee database,

  • sent message database.

Parameterisation of databases is carried out in ‘Alerter Database’ window opened with Settings/Databases item from the main menu of Configurator. Both of the databases are configured in the same manner. The database selection window contains edit fields, one for each database. These fields should contain a database connection string. Access path to the Microsoft Jet database file or Microsoft SQL database name can also be entered into these fields. If the entered text contains "\" or ".." character, it is interpreted as an access path to the data file of Microsoft Jet database. Otherwise, it is interpreted as a name of SQL database on the local station.

Fig. The window for parameterization of AsAlert databases.

Next to the edit fields, there are "..." buttons that allow full selection of the database in the event when the above-mentioned simplified method is not sufficient. Clicking on one of these buttons will open the window for choosing the selection method:

  • using UDL (Universal Data Link) file,

  • using connection string.

Fig. The window for pointing the method of database selection.

Configuration also makes it possible to create new databases. To do so, click on button Open in ‘Alerter Databases’ window to activate ‘Database Type’ window.

Fig. The window for selecting the database type.

As a standard, Microsoft Jet and SQL databases are created.

When creating SQL database, its name should be entered and, optionally, the name of the network station it is to be created on.

Fig. The window for creating the SQL database.

In order to create Microsoft Jet database, full access path and new database file name should be entered.

Fig. The window for creating the Jet database.

In both cases the option Overwrite old data may be checked, which will overwrite the data in the previous database with the same name. Clicking on button Advanced settings opens the window that allows more detailed parameterisation of new database.

Maximum alerts count item in ‘Alerter databases’ window allows the maximum number of records in the alert database to be defined. After this level is exceeded, AsAlert will remove 10% of the oldest alerts. If 0 is entered, the alerts will not be removed from the database.

Parameterisation of Addressee Database

AsAlert only sends alerts to the addressees included in the addressee database.

There three types of addressees:

  • persons,

  • groups,

  • timetables.

Persons are individual addressees who have their email addresses or cellular phone numbers.

Groups are collections of addressees. Sending an alert to the addressee, which is a group, will result in sending alerts to every individual addressee in this group.

Timetable is also a group of addressees – however, the alert is sent to different members of the group depending on the time of sending. The timetable defines sequences of time lengths and the group of message addressees related to each time length. Two types of timetables are distinguished:

  • cyclical timetables,

  • absolute timetables.

For cyclical timetables, end of validity is not defined. The last item of this timetable determines the beginning of the time length the end of which is determined by the first item of the timetable. Cyclical timetables consist of items the beginning times of which are defined by time only (without the date).

EXAMPLE 1 – parameterization of cyclical timetable

For example, a timetable that consists of the following items:

06:00:00 – collection of addressees no 1

14:00:00 – collection of addressees no 2

22:00:00 – collection of addressees no 3

means that:

- the alert sent every day between 6 a.m. and 2 p.m. would be sent to the collection of addresses no 1;

- the alert sent every day between 2 p.m. and 10 p.m. would be sent to the collection of addresses no 2;

- the alert sent between 10 p.m. and 6 a.m. on the next day would be sent to the collection of addresses no 3;

- etc.

The case in which the first item of cyclical timetable is determined by both the time and the date is acceptable. Then the first item at the same time determines the moment when the first cycle starts.

EXAMPLE 2 – parameterization of cyclical timetable

13-07-2003 06:00:00 – collection of addressees no 1

14:00:00 – collection of addressees no 2

22:00:00 – collection of addressees no 3

06:00:00 – collection of addressees no 4

14:00:00 – collection of addressees no 5

22:00:00 – collection of addressees no 6

Absolute timetable contains items determined by both the time and the date. The last item of this timetable defines the beginning of infinite time length.

Parameterisation of databases is carried out in Addressees window. It is opened by selecting Settings/Addressees from the main menu of the Configurator.

Fig. The window for parameterization of addressees database.

The Addressees window consists of two parts: On its left-hand side, the contents of the addressee database are displayed as a tree. The main "branches" of the tree are persons, groups and timetables. Indicating any person or timetable will result in displaying detailed information on the selected addressee on the right-hand side of the Addressees window.

The Addressees window allows the following tasks to be carried out:

Create new addressee

On the tree of addressees, indicate Persons, Groups or Timetables and click on Add or select Add from the context menu. A new addressee will be created then and its name will be: New person, New group or New timetable, respectively. Besides, the new name edit mode will be active. At the same time, a panel will be displayed to the right of the 'Addressees' window. It will be used for entering detailed information about the new addressee (for persons and timetables only).

Delete existing addressee

On the tree of addressees, indicate the selected addressee and click on Delete, select Delete from the context menu or press Del key.

Change addressee name

On the tree of addressees, indicate the selected addressee and press the F2 key or click the left mouse button. The name edit mode will be enabled. The person or timetable name can also be changed by edition of the name field to the right of the Addressees window.

Add new member to the addressees group

On the tree of addressees, indicate the selected group and then click on Add or select Add from the context menu. A new window will be opened in which the addressee to be added can be selected. A new member can also be added to the group by dragging the new member of the group from the relevant item of the tree of addressees to position of the specific group with the mouse (left mouse button). The same effect can be obtained by clicking on Add to group or dragging the relevant group item from the tree of addressees (right mouse button) into the Addresses group assignment area in the panel of detailed information on the specific individual addressee.

Delete a member from the addressees group

On the tree of addressees, indicate the group member and click on Delete, select Delete from the context menu or press Del key. The same can be carried out in the panel of detailed information on the person to the right of the window

Edit person data

Select a person on the tree of addressees. Detailed information on the specific person will be displayed to the right of the window:

  • addressee name (e.g. first and last name),

  • email address,

  • cellular phone number,

  • selection field to define whether the alert should be sent to the email address or as SMS message (in the event when both methods are possible),

  • addressees group assignment – list of names of the groups the selected person is assigned to

By clicking on Add to group a window will be displayed to allow the addressees group to be selected. The same can be carried out by dragging the selected group in the tree of addressees with the mouse and dropping it on the list of groups the addressee is assigned to. Dragging should be carried out with the right mouse button.

Indicating an item in the list of groups the addressee is assigned to and clicking on Remove from group or Del key will result in deleting a person from the selected group of addressees.

Edit timetable data

Select a timetable on the tree of addressees. Detailed information on the selected timetable will be displayed to the right of the window:

  • timetable name,

  • list of timetable items.

Fig. The window for editing the data timetable.

The button New item is used for adding a new timetable item. The same can be obtained by dragging the selected addressee into the empty timetable item with the right mouse button. By dropping the addressee onto the existing timetable item will result in adding this addressee into the group of addressees for the specific time length.

By clicking on Remove, the selected timetable item will be removed. The same effect can be obtained by pressing Del key.

The button Edit allows edition of data related to the selected timetable item. The timetable item edit window allows the time of the beginning of time length and the list of addressees assigned to this time length to be determined. The date field contains a tag that decides whether the beginning of the time length is defined as a specific point of the day only or by the date and time too.


3.3 Parameterisation of Communication Modules

Sending alerts by AsAlert takes place with use of communication modules. Communication modules can be divided into two types depending on how the alerts are received by the addressees:

  • modules that allow alerts to be received as emails,

  • modules that allow alerts to be received as SMS messages.

Communication modules are parameterised by means of the window opened after Settings/communication modules is selected from the main menu of AsAlert. This window allows the specific module for email or SMS messages to be selected. The list of available modules depends on what modules are installed. The button "..." next to the selected module is used for further parameterisation of the communication module.

‘Communication modules’ window:

Fig. The window for selecting communication modules to be parameterized.

CTSMSModule

AsAlert program uses CTSMSModule for sending alerts in the form of SMS messages via the Internet gate by Creative Teams.

Fig. The window for parameterizing the module for sending SMS messages via a web gateway of Creative Teams.

Configuration parameters

Email module - this parameter defines the type of email module by means of which the mail is sent to the Creative Team gate. Next to the field used to select the email module there is a button that allows this module to be parameterised.

User Name - this parameter defines the user name assigned by the gate administrator.

Sender number - this parameter defines the number of the sender of SMS messages sent through the gate.

SMS contents - this parameter defines how the SMS text is created on the basis of the alert contents. The SMS contents may include the alert's subject, its body and both of these elements.

Max SMS length

SMSEMAIL

AsAlert program uses SMSEMAIL for sending alerts using email service provided by mobile network operators.

Fig. The window for parameterizing the module for sending messages via e-mail service provided by mobile operators.

Configuration parameters

SMS module - this parameter defines the type of SMS module by means of which email is sent. Next to the field used to select the email module there is a button that allows this module to be parameterised.

Email server number - this parameter defines the phone number of server providing email services.

SMS format - this parameter defines how SMS should be created so that its body can be correctly converted into the email form. This field contains a string of characters into which the addressee's address, message subject and its contents will be inserted. The places into which the information is to be inserted are identified by special sequences of characters:

%a – email addressee's address

%s – email subject

%s – email contents

The SMS format field is active only when Other is selected in the GSM operator selection area. In other cases the predefined format corresponding to the selected operator will be provided.

GSM operator - this field allows GSM operator that provides email service to be selected.

SMSModule

AsAlert program uses SMSModule for sending alerts using GSM modems.

Fig. The window for parameterizing the module for sending messages through GSM modems.

Configuration parameters

Serial port - this parameter defines the serial port the GSM modem is connected to. The port number or full name of the serial port can be entered, e.g. "2" or "COM2". It is the only obligatory parameter of GSM communication module.

Speed - this parameter defines the speed of communication with GSM modem in bits per second.

Data length - this parameter defines the length of data word during communication with GSM modem.

Parity - this parameter defines the type of parity control.

Stop bits - this parameter defines the number of stop bits.

Message center number - SMS Message Centre phone number used for sending SMS messages. This number is provided by GSM operator. This parameter may be omitted if it is included in GSM modem hardware configuration. If cellular phone is used as the GSM modem, it is usually configured appropriately.

SMS contents - this parameter defines how the SMS text is created on the basis of the alert contents. The SMS contents may include the alert's subject, its body and both of these elements.

Max. SMS length - this parameter defines the maximum length of SMS message. If this length is exceeded, the excess characters are rejected.

Extra initialisation commands – this parameter defines additional commands (AT commands), which will be sent to GSM modem upon its initialisation. The string that determines the additional commands should not start with AT characters.

SMTPModule

AsAlert program uses SMTPModule for sending alerts using SMTP email protocol.

Fig. The window for parameterizing the module for sending messages via e-mail protocol SMTP.

Configuration parameters

Server - this parameter defines the address of email server. This address should be received from your web service provider or your local network administrator.

Port - this parameter defines the number of the port used for SMTP protocol handling by server. If this parameter is omitted, the value of 25 is assumed. The value of this parameter should be received from your web service provider or your local network administrator.

Sender name - any text to define the alert sender. If this field is left empty, the sender name will be the same as the alert sender.

Sender address - email address of the alert sender. Some servers require entering the appropriate sender address.

Timeout - maximum time of waiting for response from SMTP server. If 0 is entered, the time of waiting for response will be unlimited.


 3.4 Configuration for Network Operation

AsAlert is a COM (Component Object Model) server. In order to provide access to its functions from remote stations, the "component services" of the operating system should be configured properly. The way of running the configurator of component services depends on the operating system used. However, usually it is enough to run dcomcnfg.exe. After it is run, the Alerter application should be found and selected and then AsAlert server identity should be configured. It is recommended that This user and the appropriate user account, under which AsAlert will be run, should be selected. However, one should remember that AsAlert must have administration capabilities. After the identity is determined, the start-up capabilities and access capabilities should be configured as necessary. If the access control mechanism built into AsAlert is sufficient on the basis of defined users (See: Alerter access authorisation), the capabilities to run and access AsAlert functions can be assigned to the group of users All.


 4 Starting and Stopping AsAlert

To start AsAlert, select Alerter/Start from the main menu of Configurator. Start-up is possible only upon correct configuration of AsAlert:

  • database of alerts must be defined properly,

  • database of addressees must be defined properly and contain at least one addressee,

  • at least one communication module must be defined and configured properly.

To stop AsAlert, select Alerter/Stop from the main menu of Configurator.


5 Sending Alerts

Selecting Alerter/Send alert opens the window allowing alert to be sent. Addressees are selected in the addressee selection window opened by clicking on the Addressees button.

Fig. The window for sending alerts.

The sent alert appears in the list of messages in the ‘Alerter’ window of Configurator.

Fig. The window with the list of sent alerts.

In case of interfacing the alert sending system with asix system, alerts are sent automatically upon detecting the alarm for which message sending request was set up.


6 Browsing Sent Alerts

At the bottom of the main window of Configurator there is a list of sent alerts. The range of displayed information is changed with use of View/Columns from the main menu.

The View/Find item is used to find the first alert containing a specific string of characters. The item View/Find the next results in finding the next alert meeting the searching criteria.

Fig. The window for finding the first alert that contains the specified string.

The item View/Show opens the window displaying details of the alert – including information on errors that occurred when the alert was being sent. This item is active only when any element is selected on the list of alerts. The same can be obtained by double clicking on selected alert.

Fig. The information window about the alert.


7 Interfacing AsAlert with asix Alarm System

The module to interface AsAlert with asix alarm system allows alerts to be sent automatically in response to detection of a change in the status of selected alarms.


7.1 Alert Format

Every alert to be sent consists of the header (title) and body. The header has the following form:

Alert source_name

The content of source_name field is provided in the interface configuration file by the designer.

The alert body has the following form:

event_type date_time alarm_contents

The event_type field is the text Start or End, according to the status of the alarm that resulted in sending the alert. The date_time field contains the alarm event time. The alarm_contents field contains the alarm message contents, which are identical with the alarm text in asix application.


7.2 Interface Parameterisation

Activation of the interface module is declared in Architect module:

Architect > Alarms System module > Signalling / Alerts tab:

AsAlert – option allows to switch on the interface between AsAlert and the asix system application.

The interface is activated only in the operator mode of the alarm system.

The interface configuration file is created in XML format with the use of configurator (see: 7.3 Configuration Program) and it defines every operation parameter. The file structure is as follows:

<?xml version="1.0"?>

<asixalerts name="name" host="xxxx"
 user="xxxx" password="xxxx" trace="yes"
 inifile="ini_file">

<on>

<alarm>alarm_numbers</alarm>

<group>group_IDs</group>

<addressee>addressee_names</addressee>

</on>

<off>

….

</off>

<onoff>

….

</onoff>

</asixalerts>

The asixalerts node attributes have the following meanings:

name - used to define the name of the source of alert origin. This name is sent in every alert header.

host – the name of the computer AsAlert is installed on. Lack of this parameter means that AsAlert is run on the local computer.

user – the name of AsAlert user in the context of which the interface module is to operate.

password – AsAlert user password.

trace – if this attribute is used and its value is yes, the additional messages to record the interface module operation will be sent to asix log file.

inifile – the asix application initialisation file name; this attribute is used by the configuration program only.

The on, off and onoff nodes are used to define the groups of alerts sent out in response to: appearing, disappearing, as well as appearing and disappearing of the alarm, respectively. The nodes may appear repeatedly.

The alarm node is used to define the numbers of controlled alarms. These can be alarm numbers or from-to alarm ranges separated with commas.

The group node is used to define the names of the groups of controlled alarms. Separated with commas IDs of the groups of alarms from asix application should be given.

At the same time, selection of alarms by groups and numbers can be used.

The addresses node is used to define the names of the addressees that the alert is to be sent to. It is the list of separated with commas names of addressees, groups of addressees or names of timetables defined in AsAlert base.

Changes in the configuration file are monitored. If the file is changed, the interface module is subject to automatic reconfiguration. The only parameters that are not considered in reconfiguration are host, user and password and their change requires restarting the application.


7.3 Configuration Program

Configuration file of interface can be created using interactive AsixAlertConfig program. Below is the main window of the program.

The configurator is available from the menu: Start > Programs > Asix > Configure Alerts.

Fig. The main window of AsixAlertConfig program.

Meaning of parameters in the Global parameters section is as follows:

ASIX application initialisation file – this parameter is of significance for the work of configuration program only. It allows the names of alarm groups and texts of alarms used in asix application to be defined. This information is used in other windows of the configuration program.

Alerts source name - informational text sent in the header of every alert to identify the alert source.

Alerter machine - name of the computer AsAlert is installed on. Empty field means that AsAlert installed on the local computer is used.

Username and Password - username and password of the user defined in AsAlert base, under which all the operations of the interfacing module will be carried out.

Trace ON - setting this option will result in extended diagnostics of the work of interfacing module.

Below the Global parameters section there is a list of controlled alarms. The individual columns have the following meanings:

Mode - defines the mode of controlled event. Alert may be sent upon alarm detection, its disappearance or both the events.

Numbers - gives the numbers of controlled alarms.

Groups - gives the group names of controlled alarms. Use of group name makes the alert be sent out for every alarm of the group. Information from the Numbers and Groups columns are used as the logical sum.

Addressees - names of addresses defined in AsAlert base that alert is to be sent to.

Operations of adding, modifying or removing items from the list of alerts are carried out through commands from the Alert menu or context menu. Adding or modify a line in the list of alerts opens the following window.

Fig. The alert parameters window.

In the Mode group of options and edit fields, alert parameters are to be entered. In case of edit fields you can use the related dialog windows which allow alert parameters to be defined interactively by selecting from the lists the objects defined in asix application or AsAlert base. For operation of the above-mentioned windows it is necessary that the name of the file to initiate asix application and AsAlert access parameters should be defined.


8.1 AsAlert as Automation System

AsAlert is Automation server and provides interface, which allows other applications, including scripts, to send Alerts. Below is the example of a script in VBScript language, which executes sending of alert to the addressee named AKP:

Dim Alerter, Alert

Set Alerter = CreateObject("Alerter.Alerter")

Alerter.User = "Boiler"

Set Alert = Alerter.NewAlert

Alert.To = "AKP"

Alert.Subject = "Maximum temperature exceeded"

Alert.Body = "Temperature is 120 degrees"

Alerter.Send Alert

You should remember that execution of AsAlert function might result in generation of exceptions (errors), e.g.: "no authorisation", "incomplete alert", etc. To handle these situations you should use relevant mechanisms available in the programming language used (e.g. On error instruction and Err object of VBScript language).


8.2 Alerter Object

The basic available Automation object is Alerter with program identifier Alerter.Alerter. Before the methods and properties of this object are used, you should give your username and password (setup of User and Password properties in accordance with AsAlert configuration – see: 3.1 Authorisation of Access to AsAlert). Below there are properties and methods of Alerter object.

Authorized - this property is assigned value True, when User and Password properties have been set properly, or value False otherwise. (Read-only).

MajorVersion - this property is assigned value equal to the main component of AsAlert version number. (Read-only).

MinorVersion - this property is assigned value equal to the auxiliary component of AsAlert version number. (Read-only).

NewAlert - this method results in creation and return of Alert object. This method requires no parameters.

Password - property – AsAlert access password for the user defined by User property. (Read/write).

Send - this method results in verification of user authorisations and alert correctness, and then initiation of alert sending operation. Parameter of this method is Alert object returned by NewAlert method. Successful calling of this method does not mean physical sending of alert, but only the initiation of the sending process.

User - property – username. (Read/write).


8.3 Alert Object

Alert object is returned by NewAlert method in Alerter object. It represents a single alert. The object is provided with the following properties and methods.

Body - value of this property is the text of the alert contents. Alert contents may consist of a lot of lines. Individual lines should be separated with a character of 13 code (in decimal code), for example: "Water temperature = 150" & Chr(13) & "Air temperature=90". (Read/write).

From - value of this property is the text defining alert sender. (Read/write).

Subject - value of this property is the text defining alert subject. (Read/write).

To - property that defines alert addressees. Value of this property is the text containing the names of individual addressees separated with semicolons. The names of addressees included in the addressee database may be given only. (Read/write).